<?php
/**
 * MySQL Database Status
 *
 * $Id: db_status.php, 2004/04/26 00:22:40 Exp $
 */
$cd = '..';
require_once $cd . '/include/config.inc.php';
require_once $cd . '/include/fnc_error_msgs.inc.php';
require_once $cd . '/include/http_headers.inc.php';
require_once './include/fnc_admin.inc.php';

if ($use_session_db == 'yes') {
    require_once './db_session.php';
} else {
    session_name($p_blog_sess_name);
    session_start();
}

// XHTML Header
display_header();

echo <<<EOD
</div>
<div class="wide-content">
EOD;

if (isset($_SESSION['admin_login'], $_POST['post_username'], $_POST['post_password'])) {
    if($_SESSION['admin_login'] == '') {
        $_POST['post_password'] = md5($_POST['post_password']);
        $sql = "SELECT user_id FROM p_blog_user WHERE user_pass = '". $_POST['post_password'] .
               "' AND user_name = '". $_POST['post_username'] ."' LIMIT 1";
        $res = mysql_query($sql);
        $row = mysql_num_rows($res);
        if ($row != 0) {
            $_SESSION['user_name']   = $_POST['post_username'];
            $_SESSION['user_pass']   = $_POST['post_password'];
            $_SESSION['admin_login'] = TRUE;    
        } else {
            wrong_user_error();
            exit;
        }
    }
    if (($_SESSION['admin_login'] == 1) && (isset($_SESSION['user_name'], $_SESSION['user_pass']))) {
        echo <<<EOD
<p class="flip-menu">
<a href="../{$admin_dir_name}/admin_top.php" class="title">{$lang['admin']} TOP</a>
<span class="cur-tab">{$lang['system_admin']}</span>
</p>
<p class="flip-menu">
</p>
<h2>{$lang['db_table_status']}</h2>
<h3>{$lang['login_user']} : {$_SESSION['user_name']}</h3>
<form method="post" name="dbtables" action="./db_backup.php">
<p>
<input type="hidden" name="DBbackup" value="yes" />
</p>
EOD;

        $sql = 'SHOW TABLE STATUS FROM ' . $dbname;
        $res = mysql_query($sql);
        //-----------------------------
        // Status List
        //-----------------------------
        // [0]Name             
        // [1]Type             [2]Row_format   [3]Rows            [4]Avg_row_length   [5]Data_length
        // [6]Max_data_length  [7]Index_length [8]Data_free       [9]Auto_increment   [10]Create_time
        // [11]Update_time     [12]Check_time  [13]Create_options [14]Comment
        echo '<table class="colored">'.
             '<tr>'.
             '<th class="colored">Check</th>'.
             '<th class="colored" >'.$lang['table_name'].'</th>'.
             '<th class="colored" >'.$lang['records'].'</th>'.
             '<th class="colored" >'.$lang['size'].'</th>'.
             '<th class="colored" >'.$lang['last_modified'].'</th>'.
             '<th class="colored" >'.$lang['overhead'].'</th>'.
             '<th class="colored" >'.$lang['optimize'].'</th>'.
             '</tr>';
        while ($row = mysql_fetch_array($res)) {
            // total disk usage = data size + index size
            $size = $row[5] + $row[7];
            if ($size < 1024000) {
                $size = $size / 1024;
                $unit = ' KB';
            } else {
                $size = $size / 1024000;
                $unit = ' MB';
            }
            // check overhead 
            if ($row[8] > 0) {
                $overhead = '<span class="red">' . $row[8] . '&nbsp;byte</span>';
            } else {
                $overhead = $row[8] . '</span>&nbsp;byte';
            }
            echo "<tr>\n".
                 '<td class="colored" >'."\n".
                 '<input type="checkbox" tabindex="4" id="tables" name="tables[]" value="'.$row[0].'">'."\n".
                 "</td>\n".
                 '<td class="colored">' . $row[0]   . "</td>\n".
                 '<td class="colored">' . $row[3]   . "</td>\n".
                 '<td class="colored">' ;
            printf("%01.1f" . $unit, $size); 
            echo "</td>\n".
                 '<td class="colored">' . $row[11]  . "</td>\n".
                 '<td class="colored">' . $overhead . "</td>\n".
                 '<td class="colored">' .
                 '<a href="./db_optimize.php?table_name='.$row[0].'" class="link-button">'.
                 $lang['optimize'].
                 '</a>'.
                 "</td>\n".
                 '<tr/>';
        }
        echo '</table>';
        echo <<<EOD
</select>
<p class="selection-button">
<input type="button" tabindex="6" accesskey="s" onclick="selectTables(true);" value="{$lang['select_all']}"> 
<input type="button" tabindex="7" accesskey="u"onclick="selectTables(false);" value="{$lang['select_off']}">
</p>
<p class="submit-button">
<input type="submit" tabindex="8" accesskey="b" value="{$lang['backup']}" />
</p>
</form>

EOD;

    } else {
        bad_req_error();
        exit;
    }
} else {
    bad_req_error();
    exit;
}
footer();
?>