<?php
/**
 * Insert New Log or Upload New Binary File into MySQL
 *
 * $Id: admin/draft_insert.php, 2004/04/28 20:37:31 Exp $
 */

$cd = '..';
require_once $cd . '/include/config.inc.php';
require_once $cd . '/include/fnc_error_msgs.inc.php';
require_once $cd . '/include/http_headers.inc.php';
require_once $cd . '/include/fnc_logs.inc.php';
require_once $cd . '/include/fnc_individual.inc.php';
require_once './include/fnc_admin.inc.php';

session_control();

against_xss();

if ($session_status == 'on') {
    if (isset($_POST['name'], $_POST['category'], $_POST['comment'], $_POST['href'])) {
        // Get the parameters posted from "add.php"
        if ($_POST['name'] == "") {
            echo "<h2>Ooops.</h2>\n<h3>".SHOW_ERROR_ICON.'&nbsp;&nbsp;'.$lang['no_title']."</h3>\n";    
        } elseif ($_POST['category'] == "") {
            echo "<h2>Ooops.</h2>\n<h3>".SHOW_ERROR_ICON.'&nbsp;&nbsp;'.$lang['no_category']."</h3>\n";
        } elseif ($_POST['comment'] == "") {
            echo "<h2>Ooops.</h2>\n<h3>".SHOW_ERROR_ICON.'&nbsp;&nbsp;'.$lang['no_comment']."</h3>\n";
        } else{ // if user & password auth success
            // if URI field is empty, set "http://". 
            if ($_POST['href'] == '') {
                $href = 'http://';
            } else {
                $href = insert_safe($_POST['href']);
            }
            // if date time is set, insert it. if not, set current timestamp.
            if ((isset($_POST['date'])) && 
                (isset($_POST['custom_date']) == 'yes') &&
                (preg_match("/^([0-9]+)-([0-9]+)-([0-9]+).([0-9]+):([0-9]+):([0-9]+)$/", $_POST['date']))) {
                $date  = insert_safe($_POST['date']);
                $mod   = ', mod';
                $fdate = "'" . $date . "'";
                $cmod  = ", '" . preg_replace("/^([0-9]+)-([0-9]+)-([0-9]+).([0-9]+):([0-9]+):([0-9]+)$/", "$1$2$3$4$5$6", $date) . "'";
            } else {
                $fdate = 'CURRENT_TIMESTAMP()';
                $mod   = '';
                $cmod  = '';
            }
            $name     = insert_safe($_POST['name']);
            // if posted category value were ended with ",(comma)", remove it.
            $category = preg_replace("/,+\$/", "", insert_safe($_POST['category']));
            $comment  = insert_tag_safe($_POST['comment']);
            
            if ($enable_unicode == 'on') {   
                //$var = array($name, $category, $comment);
                //mb_convert_variables($mysql_lang, "UTF-8", $var);
                mb_convert_variables($mysql_lang, "UTF-8", $name, $category, $comment);
            }
            
            // First, upload the attachment files
            file_upload();
            
            // Submit queries
            //
            // Next, insert the data
            $sql  = 'INSERT INTO ' . $log_table . '(name, href, category, comment, date' . $mod . ', draft) '.
                    "VALUES('$name', '$href', '$category', '$comment', $fdate" . $cmod . ", '1')";
            $res = mysql_query($sql) or die("<h2>MySQL error</h2> " . mysql_errno() . " : " . mysql_error());
            $id  = mysql_insert_id();
            if ($res) {
                header('Location: http://' . $_SERVER['HTTP_HOST'] . $root_path . $admin_dir_name . '/draft_preview.php?id='.urlencode($id));
                exit;
            }
        }
    } else{
        wrong_user_error();
        exit;
    }
} else {
    bad_req_error();
    exit;
}
footer();
?>
