<?php
/**
 * Update Draft Log
 *
 * $Id: admin/draft_updated.php, 2004/04/26 00:00:22 Exp $
 */

$cd = '..';
require_once $cd . '/include/config.inc.php';
require_once $cd . '/include/fnc_error_msgs.inc.php';
require_once $cd . '/include/http_headers.inc.php';
require_once $cd . '/include/fnc_logs.inc.php';
require_once './include/fnc_admin.inc.php';

session_control();

// XHTML Header
display_header();

// Menu List
display_menu_list($cd, $admin, $menu_list, $root_path);

// Menu Bottom
display_menu_bottom($use_rss = '', $cd, $rss_feed);

against_xss();

if ($session_status == 'on') {
        if (isset($_POST['name'], $_POST['category'], $_POST['comment'], $_POST['href'])) {
            // Get the parameters posted from "update.php"
            if ($_POST['name'] == "") {
                echo "<h2>Ooops.</h2>\n<h3>".SHOW_ERROR_ICON.'&nbsp;&nbsp;'.$lang['no_title']."</h3>\n";
            } elseif ($_POST['category'] == "") {
                echo "<h2>Ooops.</h2>\n<h3>".SHOW_ERROR_ICON.'&nbsp;&nbsp;'.$lang['no_category']."</h3>\n";   
            } elseif ($_POST['comment'] == "") {
                echo "<h2>Ooops.</h2>\n<h3>".SHOW_ERROR_ICON.'&nbsp;&nbsp;'.$lang['no_comment']."</h3>\n";
            } else {
                // if URI field is empty, set "http://". 
                if ($_POST['href'] == "") { $href = 'http://'; } else { $href = insert_safe($_POST['href']); }
                $id       = intval($_POST['id']);
                
                // User custom date & time
                if ((isset($_POST['date'])) &&
                    (isset($_POST['custom_date']) == 'yes') &&
                    (preg_match("/^([0-9]+)-([0-9]+)-([0-9]+).([0-9]+):([0-9]+):([0-9]+)$/", $_POST['date']))) {
                    $date     = insert_safe($_POST['date']);
                    $cmod     = preg_replace("/^([0-9]+)-([0-9]+)-([0-9]+).([0-9]+):([0-9]+):([0-9]+)$/", "$1$2$3$4$5$6", $date);
                    
                    // Update old mod-time same as current datetime
                    $new_date = "date='" . $date . "'";
                    $new_mod  = ", mod='$cmod'";
                    
                // Use DB default timestamp
                } else {
                    $new_date = 'date=CURRENT_TIMESTAMP()';
                    // Let mod-query empty because it will update automatically.
                    $new_mod  = '';
                    
                }
                $name     = insert_safe($_POST['name']);
                $href     = insert_safe($_POST['href']);
                // if posted category value were ended with ",(comma)", remove it.
                $category = preg_replace("/,+\$/", "", insert_safe($_POST['category']));
                $comment  = insert_tag_safe($_POST['comment']);
                
                if ($enable_unicode == 'on') {
                    //$var = array($name, $category, $comment);
                    //mb_convert_variables($mysql_lang, "UTF-8", $var);
                    mb_convert_variables($mysql_lang, "UTF-8", $name, $category, $comment);
                }

                // Submit query
                $sql  = 'UPDATE ' . $log_table;
                $sql .= " SET name='$name', href='$href', category='$category', comment='$comment', " . $new_date . $new_mod;
                $sql .= " WHERE id='$id'";
                mysql_query($sql) or die ("<h2>MySQL error</h2> " . mysql_errno() . " : " . mysql_error());
                
                // Next, pull out the data and display the preview.
                $sql = 'SELECT'.
                       " id, href, name, date, DATE_FORMAT(mod,'%Y-%m-%d %T') as mod, comment, category".
                       " FROM {$log_table} WHERE id = {$id}";
                $res  = mysql_query($sql);
                $row  = mysql_fetch_array($res);
                convert_to_utf8($enable_unicode, $row, $mysql_lang);
                date_format($date_style, $row_name = 'date');
                $title_date = $formatted_date;
                echo "\n".'<h2 class="date-title">'.$title_date."</h2>\n";
                display_article_box($row, $anchor);
                
                // Reformat the modification time to "yyyymmddhms"
                $cmod  = preg_replace("/^([0-9]+)-([0-9]+)-([0-9]+).([0-9]+):([0-9]+):([0-9]+)$/", "$1$2$3$4$5$6", $row['mod']);
                 echo <<<EOD
<form method="post" action="./draft_publish.php">
<div class="submit-button">
<input type="hidden" name="draft" value="0" />
<input type="hidden" name="id" value="{$id}" />
<input type="hidden" name="mod" value="{$cmod}" />
<input type="submit" value="{$lang['publish']}" />
</div>
</form>
EOD;
                file_uploaded($up_img_max, $uploaddir);
            }
        } else{ // if user auth failed...
            wrong_user_error();
            exit;
        }
} else {
    bad_req_error();
    exit;
}
footer();
?>
