<?php
/**
 * Search Routine for Binary File
 * 
 * $Id: files/search.php, 2004/03/26 16:28:39 Exp $
 */

$cd = '..';
require_once $cd . '/include/config.inc.php';
require_once $cd . '/include/http_headers.inc.php';
require_once $cd . '/include/fnc_search.inc.php';
require_once $cd . '/include/fnc_error_msgs.inc.php';
require_once './include/fnc_files.inc.php';

session_control();

against_xss();

// XHTML Header
display_header();

display_bin_search_form();

display_menu_list($cd, $admin, $menu_list, $root_path);

// Pick up archives by date
$sql = "SELECT DATE_FORMAT(bindate,'%Y-%m') as bindate FROM {$info_table} WHERE draft = 0 GROUP BY bindate ORDER BY bindate";
if ($date_order_desc == 'yes') {
    $sql.= ' DESC';
}
bin_archive_by_date($sql);

// Category List
if ($show_bin_categories == 'yes') {
    if ($bin_category_style == 1) {
        display_bin_categories_menu($show_bin_cat_num, $info_table, $enable_unicode, $mysql_lang);
    } elseif ($bin_category_style == 2) {
        display_bin_categories_list($show_bin_cat_num, $info_table, $enable_unicode, $mysql_lang);
    }
}

// File type list
if ($show_filetype == 'yes') {
    if ($filetype_style == 1) {
        display_type_menu($show_type_num, $info_table, $enable_unicode, $mysql_lang);
    }elseif ($filetype_style == 2) {
        display_type_list($show_type_num, $info_table, $enable_unicode, $mysql_lang);
    }
}

// CSS Switcher
if ($use_css_switch == 'yes') { display_css_switch($styles); }

// Menu Bottom
display_menu_bottom($use_rss, $cd, $rss_feed);


// case-insensitive : case = 0;
// case-sensitive   : case = 1;

// Prepare Query
if (isset($_GET['k'], $_GET['p'], $_GET['d'], $_GET['c'], $_GET['pn'])) {
    // To check if keyword value is not too short
    if (($_GET['k'] != '') && (strlen($_GET['k']) <= 2 )) {
         keyword_error($error_type = '2');
         exit;
    }
    if ($enable_unicode == 'on') {
        $keyword = mb_convert_encoding(trim($_GET['k']), $mysql_lang, "auto");
    } else {
        $keyword = trim($_GET['k']);
    }
    $page  = $_GET['p'];
    $date  = $_GET['d'];
    $case  = $_GET['c'];
    
    if (($page != '') & ($case != '')) {
        if (($keyword == '') && ($date == '')) {
            header('Location: http://' . $_SERVER['HTTP_HOST'] . $root_path . 'files/search_plus.php');
            exit;
//		} else if ($date == "all") {
// 			$sql = 'SELECT'.
//                    " id,href,name,date,DATE_FORMAT(mod,'%Y-%m-%d %T') as mod,comment,category".
//                    ' FROM '.$log_table;
// 
//             $sql = 'SELECT '.
//                    "id, bin_title, bintype, binname, binsize, bindate, DATE_FORMAT(bin_mod,'%Y-%m-%d %T') as bin_mod, bin_category, bincomment, bin_count".
//                    ' FROM '.$info_table;                   
        } else {
            $sql = 'SELECT '.
                   "id, bin_title, bintype, binname, binsize, bindate, DATE_FORMAT(bin_mod,'%Y-%m-%d %T') as bin_mod, bin_category, bincomment, bin_count".
                   ' FROM '.$info_table;
            if ($date != 'all') {
                $sql .= ' WHERE (draft = 0) AND ('; 
            }
        }
        if ($keyword != '') { // keyword search
            if (!strrchr($keyword, " ")) {
                $keys = explode(",", $keyword);
                $and_or = "OR";
            } else {
                $keys = explode(" ", $keyword);
                $and_or = "AND";
            }
            // search title, filename, and comment
            if ($case == 1) {
                $sql .= "BINARY ";
            }
            $sql .= "bin_title LIKE '%".$keys[0]."%' OR ";
            if ($case == 1) {
                $sql .= "BINARY ";
            }
            $sql .= "binname LIKE '%".$keys[0]."%' OR ";
            if ($case == 1) {
                $sql .= "BINARY ";
            }
            $sql .= "bincomment LIKE '%".$keys[0]."%')";
            for ($i = 1; $i < sizeof($keys); $i++) {
                $sql .= $and_or. ' (';
                if ($case == 1) {
                    $sql .= "BINARY ";
                }
                $sql .= "bin_title LIKE '%".$keys[$i]."%' OR ";
                if ($case == 1) {
                    $sql .= "BINARY ";
                }
                $sql .= "binname LIKE '%".$keys[$i]."%' OR ";
                if ($case == 1) {
                    $sql .= "BINARY ";
                }
                $sql .= "bincomment LIKE '%".$keys[$i]."%')";
            }
            // $sql .= " AND (bindate LIKE '".$date."%')";
            if ($date != "all") {
                $sql .= " AND (bindate LIKE '".$date."%')";
			}
        } elseif ($keyword == '') { // monthly search
            // $sql .= "bindate LIKE '".$date."%')";
            if ($date != "all") {
                $sql .= "bindate LIKE '".$date."%')";
			}
        }
        $sql .= " ORDER BY bindate DESC LIMIT {$page}, {$pagemax} ";
    } else {
        header('Location: http://' . $_SERVER['HTTP_HOST'] .$root_path. 'files/search_plus.php');
        exit;
    }  
 
    //========================
    // SUBMIT SEARCH QUERY
    //========================
    if ($res = mysql_query($sql)) {
        //query results --- count all hit data
        if (!strrchr($keyword, " ")) {
            $keys = explode(",", $keyword);
            $and_or = "OR";
        } else {
            $keys = explode(" ", $keyword);
            $and_or = "AND";
        }
        $count_sql = "SELECT id FROM {$info_table} WHERE (draft = 0) AND (";
        if ($case == 1) {
            $count_sql .= "BINARY ";
        }
        $count_sql .= "bin_title LIKE '%".$keys[0]."%' OR ";
        if ($case == 1) {
            $count_sql .= "BINARY ";
        }
        $count_sql .= "binname LIKE '%".$keys[0]."%' OR ";
        if ($case == 1) {
            $count_sql .= "BINARY ";
        }
        $count_sql .= "bincomment LIKE '%".$keys[0]."%')";        
        for ($i = 1; $i < sizeof($keys); $i++) {
            $count_sql .= $and_or . ' (';
            if ($case == 1) {
                $count_sql .= "BINARY ";
            }
            $count_sql .= "bin_title LIKE '%".$keys[$i]."%' OR ";
            if ($case == 1) {
                $count_sql .= "BINARY ";
            }
            $count_sql .= "binname LIKE '%".$keys[$i]."%' OR ";
            if ($case == 1) {
                $count_sql .= "BINARY ";
            }
            $count_sql .= "bincomment LIKE '%".$keys[$i]."%')";
        }
        // $count_sql .= " AND (bindate LIKE '".$date."%')";
        if ($date != "all") {
            $count_sql .= " AND (bindate LIKE '".$date."%')";
		}
        $hit_res = mysql_query($count_sql);
        $hit_row = mysql_num_rows($hit_res);
    
        // Show the hit data info.
        $rows = mysql_num_rows($res);
        if ($enable_unicode == 'on') {
            $keyword = mb_convert_encoding($keyword, "UTF-8", $mysql_lang);
        }
        if ($keyword == '') {
            if ($date != '') {
                echo '<h2 class="archive-title">';
                if ($date == 'all') {
                    echo $lang['all_data'];
                } else {
                    echo $date;
                }
                echo "</h2>\n";
//                 echo '<h2 class="archive-title">'.$date."</h2>\n";
//             } else {
//                 echo '<h2 class="archive-title">'.$lang['all_data']."</h2>\n";
            }
            $disp_page = $page + 1;
            $disp_rows = $page + $rows;
            echo '<p class="search-res">'.
                 '<span class="search-res">'.$hit_row.'</span>'.$lang['show_log'].'&nbsp;'.
                 '<span class="search-res">'.$disp_page.' - '.$disp_rows.'</span> / '.
                 '<span class="search-res">'.$hit_row.'</span></p>';
        } elseif ($keyword != '') {
            echo '<h2 class="archive-title">'.$lang['keyword'].
                 ' : '.htmlspecialchars(stripslashes($keyword))."</h2>\n<p>\n";
            $disp_page = $page + 1;
            $disp_rows = $page + $rows;
            echo '<span class="search-res">'.$hit_row.'</span> '.$lang['hit_msg'].'&nbsp;'.
                 '<span class="search-res">'.$disp_page.' - '.$disp_rows.'</span> / '.
                 '<span class="search-res">'.$hit_row."</span>\n";
            if ($date != '') {
                echo '&nbsp;&nbsp;&nbsp;&nbsp;'.$lang['by_month'].': <span class="search-res">'.$date."</span>\n</p>\n";
            } else {
                echo "</p>\n";
            }
        }
        //========================
        // SHOW THE RESULTS!
        //========================
        if ($hit_row) {
            display_page_flip();
                
            //------------- WITH-DATE-TITLE MODE --------------
            if ($show_date_title == 'yes') {
                $row = mysql_fetch_array($res);
                // $title_date = substr($row['bindate'], 0, 10);
                date_format($date_style, $row_name = 'bindate');
                $title_date = $formatted_date;
                echo '<h2 class="date-title">'.$title_date."</h2>\n";
                do {
                    // $tmp_date = substr($row['bindate'], 0, 10);
                    date_format($date_style, $row_name = 'bindate');
                    $tmp_date = $formatted_date;
                    if ($title_date != $tmp_date) {
                        $title_date = $tmp_date;
                        echo '<h2 class="date-title">'.$title_date."</h2>\n";
                    }
                    hit_key_highlight_bin();
                    convert_to_utf8($enable_unicode, $row, $mysql_lang);
                    display_binary_box($row, $anchor, $show_md5, $data_table, 
                        $show_thumb_nail, $thumb_nail_w, $thumb_nail_h, $show_img_size, $root_path);
                } while ($row = mysql_fetch_array($res));
            
            //------------- WITHOUT-DATE-TITLE MODE --------------
            } else {
                while ($row = mysql_fetch_array($res)) {
                    hit_key_highlight_bin();
                    convert_to_utf8($enable_unicode, $row, $mysql_lang);
                    display_binary_box($row, $anchor, $show_md5, $data_table, 
                        $show_thumb_nail, $thumb_nail_w, $thumb_nail_h, $show_img_size, $root_path);
                }
            }
            display_page_flip();
        } else {
            echo '<h3>'.$lang['no_matches']."</h3>\n";
        }
    }
} else {
    echo '<h2>'.$lang['search']."</h2>\n".
         '<p>'.$lang['status_idle']."</p>\n";
}
footer();
?>
