/**
 * JavaScript for P_BLOG
 *
 * $Id: script.js, 2004/01/26 18:22:10 Exp $
 *
 
/**
 * ADMIN MODE TABLE STATUS
 */

function selectTables(check){
    var i;
	for(i = 0; i < document.forms.dbtables.tables.length; i++){
		document.forms.dbtables.tables[i].checked = check;
	}
}



/**
 * INPUT CHECK
 *
 */
function inputCheck() {
    if (document.forms.addform.name.value == '') {
        alert('タイトルが入力されていません。');
        document.forms.addform.name.focus();
        return false;
    } else if (document.forms.addform.category.value == '') {
        alert('カテゴリーが入力されていません。');
        document.forms.addform.category.focus();
        return false;
    } else if (document.forms.addform.comment.value == '') {
        alert('コメントが入力されていません。');
        document.forms.addform.comment.focus();
        return false;
    } else if (document.forms.del.id.value != '') {
        confirm('削除してもよろしいですか？');
        document.forms.del.id.focus();
        return false;
    }
    return true;
}

function inputCheck_e() {
    if (document.forms.addform.name.value == '') {
        alert('No Title');
        document.forms.addform.name.focus();
        return false;
    } else if (document.forms.addform.category.value == '') {
        alert('No Category');
        document.forms.addform.category.focus();
        return false;
    } else if (document.forms.addform.comment.value == '') {
        alert('No Comment');
        document.forms.addform.comment.focus();
        return false;
    } else if (document.forms.del.id.value != '') {
        confirm('OK to delete this?');
        document.forms.del.id.focus();
        return false;
    }
    return true;
}

function inputCheckBin() {
    if (document.forms.addform.bin_title.value == '') {
        alert('タイトルが入力されていません。');
        document.forms.addform.bin_title.focus();
        return false;
    } else if (document.forms.addform.bin_category.value == '') {
        alert('カテゴリーが入力されていません。');
        document.forms.addform.bin_category.focus();
        return false;
    } else if (document.forms.addform.bincomment.value == '') {
        alert('コメントが入力されていません。');
        document.forms.addform.bincomment.focus();
        return false;
    } else if (document.forms.del.id.value != '') {
        confirm('削除してもよろしいですか？');
        document.forms.del.id.focus();
        return false;
    }
    return true;
}

function inputCheckBin_e() {
    if (document.forms.addform.bin_title.value == '') {
        alert('No Title');
        document.forms.addform.bin_title.focus();
        return false;
    } else if (document.forms.addform.bin_category.value == '') {
        alert('No Category');
        document.forms.addform.bin_category.focus();
        return false;
    } else if (document.forms.addform.bin_comment.value == '') {
        alert('No Comment');
        document.forms.addform.bin_comment.focus();
        return false;
    } else if (document.forms.del.id.value != '') {
        confirm('OK to delete this?');
        document.forms.del.id.focus();
        return false;
    }
    return true;
}

/*Input Check for Forum*/
function ForumInputCheck() {
    if (document.forms.addform.user_name.value == '') {
        alert('名前が入力されていません。');
        document.forms.addform.user_name.focus();
        return false;
    } else if (document.forms.addform.user_email.value == '') {
        alert('メールアドレスが入力されていません。');
        document.forms.addform.user_email.focus();
        return false;
    } else if (document.forms.addform.title.value == '') {
        alert('タイトルが入力されていません。');
        document.forms.addform.title.focus();
        return false;
    } else if (document.forms.addform.comment.value == '') {
        alert('コメントが入力されていません。');
        document.forms.addform.comment.focus();
        return false;
    } else if (document.forms.addform.user_pass.value == '') {
        alert('パスワードが入力されていません。');
        document.forms.addform.user_pass.focus();
        return false;
    }
    return true;
}

function ForumReplyCheck() {
    if (document.forms.addform.user_name.value == '') {
        alert('名前が入力されていません。');
        document.forms.addform.user_name.focus();
        return false;
    } else if (document.forms.addform.user_email.value == '') {
        alert('メールアドレスが入力されていません。');
        document.forms.addform.user_email.focus();
        return false;
    } else if (document.forms.addform.comment.value == '') {
        alert('コメントが入力されていません。');
        document.forms.addform.comment.focus();
        return false;
    } else if (document.forms.addform.user_pass.value == '') {
        alert('パスワードが入力されていません。');
        document.forms.addform.user_pass.focus();
        return false;
    }
    return true;
}



/**
 * TAG BUTTON FUNCTIONS
 *
 * Implemented : by Gabriele Caniglia <www.musimac.it>
 * Modified    : by Kazufumi Tomori
 *
 */

/* --- BASE FUNCTION ---- */
function insertAtCursor(comment, myValue) {
    //IE support
    if (document.selection) {
        comment.focus();
        sel = document.selection.createRange();
        sel.text = myValue;
     }
    //MOZILLA/NETSCAPE support
    else if(comment.selectionStart || comment.selectionStart == '0') {
        var startPos = comment.selectionStart;
        var endPos = comment.selectionEnd;
        comment.value = comment.value.substring(0, startPos) + myValue + comment.value.substring(endPos, comment.value.length);
    }
    else comment.value += myValue;
}
/*
'tag_value' comes from the HTML markup (DOM API) and explains itself enough; :-)
'bin' is boolean: true for targetting the binaries form textarea, false for the logs form textarea;
*/
function Tag(tag_value, bin) {
	cmt_txt = bin ? document.forms.addform.bincomment : document.forms.addform.comment;
	var TagLookup = {
		'p'			:	'<p></p>',
		'div'		:	'<div class=""></div>',
		'span'		:	'<span class=""></span>',
		'strong'	:	'<strong></strong>',
		'img'		:	'<img src="./resources/" width="" height="" alt="" />',
		'a'			:	'<a href="" title=""></a>',
		'ul'		:	'<ul>\n<li></li>\n</ul>',
		'ol'		:	'<ol>\n<li></li>\n</ol>',
		'quote'		:	'<blockquote cite="http://" title="">\n<p></p>\n</blockquote>',
		'br'		:	'<br />',
		'abbr'      :   '<abbr title=""></abbr>',
		'tag'		:	'&lt;&gt;'
	};
    cmt_txt.focus();
    insertAtCursor(cmt_txt, TagLookup[tag_value]);
}


/*
==============================================================
clickable cite attribute DOM
==============================================================
original source written by Simon Willson
: http://simon.incutio.com/
*/
function clickableCite() {
    q = document.getElementsByTagName('blockquote');
    for (i=0; i<q.length; i++) {
        cite = q[i].getAttribute('cite')
        if (cite) {
            newlink = document.createElement('a');
            newlink.setAttribute('href', cite);
            newlink.setAttribute('title', cite);
            newlink.appendChild(document.createTextNode('→ cite source'));
            newdiv = document.createElement('div');
            newdiv.className = 'citesource';
            newdiv.appendChild(newlink);
            q[i].appendChild(newdiv);
        }
    }
}
window.onload = clickableCite;
