<?php
/**
 * Update Draft Files
 *
 * $Id: admin/bin_draft_updated.php, 2004/04/28 20:39:01 Exp $
 */

$cd = '..';
require_once $cd . '/include/config.inc.php';
require_once $cd . '/include/fnc_error_msgs.inc.php';
require_once $cd . '/include/http_headers.inc.php';
require_once $cd . '/files/include/fnc_files.inc.php';
require_once './include/fnc_admin.inc.php';

session_control();

// XHTML Header
display_header();

// Menu List
display_menu_list($cd, $admin, $menu_list, $root_path);

// Menu Bottom
display_menu_bottom($use_rss = '', $cd, $rss_feed);

against_xss();

if ($session_status == 'on') {
    if (isset($_POST['bin_title'], $_POST['binname'], $_POST['bin_category'], $_POST['bincomment'])) {
        // Get the parameters posted from "update.php"
        if ($_POST['bin_title'] == '') {
            echo "<h2>Ooops.</h2>\n<h3>".SHOW_ERROR_ICON."&nbsp;&nbsp;{$lang['no_title']}</h3>\n";
        } elseif ($_POST['binname'] == '') {
            echo "<h2>Ooops.</h2>\n<h3>".SHOW_ERROR_ICON."&nbsp;&nbsp;{$lang['no_f_name']}</h3>\n";
        } elseif ($_POST['bincomment'] == '') {
            echo "<h2>Ooops.</h2>\n".SHOW_ERROR_ICON."&nbsp;&nbsp;{$lang['no_comment']}</h3>\n";
        } else {
            $id           = insert_safe(intval($_POST['id']));
            $bin_title    = insert_safe($_POST['bin_title']);
            $binname      = insert_safe($_POST['binname']);
            $bin_category = preg_replace("/,+\$/", "", insert_safe($_POST['bin_category']));
            $bincomment   = insert_tag_safe($_POST['bincomment']);
            // User custom date & time
            if ((isset($_POST['date'])) &&
                (isset($_POST['custom_date']) == 'yes') &&
                (preg_match("/^([0-9]+)-([0-9]+)-([0-9]+).([0-9]+):([0-9]+):([0-9]+)$/", $_POST['date']))) {
                $bindate  = insert_safe($_POST['date']);
                $cmod     = preg_replace("/^([0-9]+)-([0-9]+)-([0-9]+).([0-9]+):([0-9]+):([0-9]+)$/", "$1$2$3$4$5$6", $bindate);

                // Update old mod-time same as current datetime
                $new_date = "bindate='" . $bindate . "'";
                $new_mod = ", bin_mod='$cmod'";

            // Use DB default timestamp
            } else {
                $new_date = 'bindate=CURRENT_TIMESTAMP()';
                // Let mod-query empty because it will update automatically.
                $new_mod = '';

            }
            if ($enable_unicode == 'on') {
                /*
                $var = array($bin_title, $binname, $bincomment, $bin_category);
                mb_convert_variables($mysql_lang, "UTF-8", $var);
                */
                mb_convert_variables($mysql_lang, "UTF-8", $bin_title, $binname, $bincomment, $bin_category);
            }
            // update query
            $sql  = 'UPDATE ' . $info_table.
                " SET bin_title='$bin_title', binname='$binname', bin_category='$bin_category', bincomment='$bincomment', "  . $new_date . $new_mod;
            $sql .= " WHERE id='$id'";
            mysql_query($sql) or die ("<h2>MySQL error</h2> " . mysql_errno() . " : " . mysql_error());
            
            $sql  = 'SELECT '.
                'id, bin_title, bintype, binname, binsize, bindate, '.
                "DATE_FORMAT(bin_mod,'%Y-%m-%d %T') as bin_mod, bin_category, bincomment, bin_count".
                " FROM $info_table".
                " WHERE id = {$id}";
            $res  = mysql_query($sql);
            $row  = mysql_fetch_array($res);
            convert_to_utf8($enable_unicode, $row, $mysql_lang);
            date_format($date_style, $row_name = 'bindate');
            $title_date = $formatted_date;
            echo "\n".'<h2 class="date-title">'.$title_date."</h2>\n";
            display_binary_box($row, $anchor, $show_md5, $data_table, 
                $show_thumb_nail, $thumb_nail_w, $thumb_nail_h, $show_img_size, $root_path);
            
            // Reformat the modification time to "yyyymmddhms"
            $cmod  = preg_replace("/^([0-9]+)-([0-9]+)-([0-9]+).([0-9]+):([0-9]+):([0-9]+)$/", "$1$2$3$4$5$6", $row['bin_mod']);
            echo <<<EOD
<form method="post" action="./bin_draft_publish.php">
<div class="submit-button">
<input type="hidden" name="draft" value="0" />
<input type="hidden" name="id" value="{$id}" />
<input type="hidden" name="bin_mod" value="{$cmod}" />
<input type="submit" value="{$lang['publish']}" />
</div>
</form>
EOD;
            file_uploaded($up_img_max, $uploaddir);
        }
    } else{ // if user auth failed...
        wrong_user_error();
        exit;
    }
} else {
    bad_req_error();
    exit;
}
footer();
?>
