<?php
/**
 * TOP OF THE FORUM
 * 
 * $Id: index.php, 2004/03/24 11:52:08 Exp $
 */

$cd = '..';
require_once $cd . '/include/config.inc.php';
require_once $cd . '/include/http_headers.inc.php';
require_once $cd . '/include/search_plus.inc.php';
require_once $cd . '/include/fnc_error_msgs.inc.php';
require_once './include/fnc_search.inc.php';
require_once './include/fnc_forum.inc.php';

session_control();

if ($session_status == 'on') {
    header('Location: http://' . $_SERVER["HTTP_HOST"] . $root_path . 'forum/admin/index.php');
}

against_xss();

// XHTML Header
display_header();

// Forum Search Form
display_forum_search_form();

// Pick up archives by date
$sql = "SELECT DATE_FORMAT(date,'%Y-%m') as date FROM p_forum GROUP BY date ORDER BY date";
if ($date_order_desc == 'yes') {
    $sql.= ' DESC';
}

// Menu
display_menu_list($cd, $admin = '', $menu_list, $root_path);

// Archive Form
archive_by_month($sql);

// CSS Switcher
if ($use_css_switch == 'yes') { display_css_switch($styles); }

// Menu Bottom
display_menu_bottom($use_rss, $cd, $rss_feed);


//=====================================================
// PREPARE SEARCH QUERY
//=====================================================

echo <<<EOD
<p class="flip-menu">
<span class="cur-tab">{$lang['topic_list']}</span>
<a href="./add.php">{$lang['add_new']}</a>
</p>
EOD;

if (!isset($_GET['k'], $_GET['p'], $_GET['d'], $_GET['c'], $_GET['pn'])) {
    $_GET['k']  = '';
    $_GET['p']  = '0';
    $_GET['d']  = '';
    $_GET['c']  = '0';
    $_GET['pn'] = '1';
}

if (isset($_GET['k'], $_GET['p'], $_GET['d'], $_GET['c'], $_GET['pn'])) {
    if ($enable_unicode == 'on') {
        $keyword = mb_convert_encoding(trim($_GET['k']), $mysql_lang, "auto");
    } else {
        $keyword = trim($_GET['k']);
    }
    $page  = $_GET['p'];
    $date  = $_GET['d'];
    $case  = $_GET['c'];
    
    if (($page != '') & ($case != '')) {
        $sql = 'SELECT'.
               " id, tid, parent_key, title, comment, user_name, user_pass, user_mail, date,".
               //" DATE_FORMAT(mod, '%Y/%m/%d %H:%i') as mod".
               " DATE_FORMAT(mod, '%Y/%m/%d %T') as mod".
               ' FROM p_forum'.
               ' WHERE parent_key = 1';
        if ($date != "all") {
            $sql .= " AND (date LIKE '".$date."%')";
	    }
        $sql .= " ORDER BY mod DESC LIMIT {$page}, {$pagemax} ";
    }
    //=====================================================
    // SUBMIT SEARCH QUERY
    //=====================================================
    $res = mysql_query($sql);
    if ($res) {
        $count_sql = 'SELECT id FROM p_forum WHERE parent_key = 1';
        if ($date != "all") {
            $count_sql .= " AND (date LIKE '".$date."%')";
		}
        $hit_res = mysql_query($count_sql);
        $hit_row = mysql_num_rows($hit_res);
    
        // Show the hit data info.
        $rows = mysql_num_rows($res);
        if ($enable_unicode == 'on') {
            $keyword = mb_convert_encoding($keyword, "UTF-8", $mysql_lang);
        }

        //=================================================
        // SHOW THE RESULTS!
        //=================================================
        if ($hit_row) {
            // display the number of the thread
            $disp_page = $page + 1;
            $disp_rows = $page + $rows;
            echo '<p class="search-res">'.
                 '<span class="search-res">'.$hit_row.'</span>'.$lang['topics'].'&nbsp;'.
                 '<span class="search-res">'.$disp_page.' - '.$disp_rows.'</span> / '.
                 '<span class="search-res">'.$hit_row.'</span></p>'.
                 // display thread list table
                 '<table class="forum-topic-table" summary="Topic List">'."\n".
                 "<tr>\n".
                 '<th abbr="Topic">'.$lang['topic'].'</th>'."\n".
                 '<th abbr="Number of Replies">'.$lang['reply'].'</th>'."\n".
                 '<th abbr="Author">'.$lang['posted_by'].'</th>'."\n".
                 '<th abbr="Modify">'.$lang['last_modified'].'</th>'."\n".
                 "</tr>\n";
            while ($row = mysql_fetch_array($res)) {
                // check the number of replies
                $rep_sql = 'SELECT COUNT(id) FROM p_forum WHERE tid = ' . $row['tid'] . ' AND parent_key = 0';
                $rep_res = mysql_query($rep_sql);
                $rep_row = mysql_fetch_array($rep_res);

                // convert to UTF-8
                if ($enable_unicode == 'on') {
                    convert_to_utf8($enable_unicode, $row, $mysql_lang);
                }
                echo "<tr>\n".
                     '<td><a href="./topic.php?tid='. $row['tid'] .'&amp;p=0">' . $row['title'] . "</a></td>\n".
                     '<td>' . $rep_row[0] . "</td>\n".
                     '<td>' . $row['user_name'] . "</td>\n".
                     '<td class="last-modified">' . $row['mod'] . "</td>\n".
                     "</tr>\n";
            }
            echo "</table>\n<br />\n";
            display_page_flip_forum();
        } else {
        //    echo '<h3>'.$lang['no_matches']."</h3>\n";
            echo '<h2>Welcome to '.$blog_title." Forum!</h2>\n".
                 '<p>' . $lang['no_posts'] . "</p>\n";
        }
    } else {
        echo '<h2>'.$lang['no_tbl_msg'].'</h2>'.
             '<h3>'.$lang['install_or_update_msg'].'</h3>'.
             '<p>&gt;&gt;&nbsp;<a href="./SETUP_FILES/DB_INSTALL.php">'.$lang['install'].'</a></p>'.
             '<p>&gt;&gt;&nbsp;<a href="./SETUP_FILES/DB_UPDATE.php">'.$lang['update'].'</a></p>';
    }
} else {
    echo '<h2>Welcome to '.$blog_title." Forum!</h2>\n".
         '<p>' . $lang['no_posts'] . "</p>\n";
}
footer();
?>
