<?php
/**
 * VARS - varialble content pages
 *
 * $Id: var/index.php, 2004/03/26 14:08:40 Exp $
 */

//=========================  USER CONFIG   =================================

$more_vars_dir   = 'var/vars-sample'; // don't slash at the beginning and the end
$more_vars_title = 'Example';         // name your more vars section title
$cd              = '../..';           // set the directory level from the top page

//==========================================================================

require_once $cd . '/include/config.inc.php';
require_once $cd . '/include/http_headers.inc.php';

session_control();

// XHTML Header
display_header();

// Menu List
display_menu_list($cd, $admin, $menu_list, $root_path);

// CSS Switcher
if ($use_css_switch == 'yes') { display_css_switch($styles); }

// Menu Bottom
display_menu_bottom($use_rss, $cd, $rss_feed);

if(isset($_GET['id'])){
    $id = sanitize($_GET['id']);
    $id = str_replace('/', '', $id);
    
    if (file_exists("./contents/{$id}.inc.php")) {        //foo.inc.php
	    include_once "./contents/{$id}.inc.php";
    } elseif (file_exists("./contents/{$id}.php")) {       //foo.php
	    include_once "./contents/{$id}.php";
    } elseif (file_exists("./contents/{$id}.inc")) {       //foo.inc
	    include_once "./contents/{$id}.inc";
    } elseif (file_exists("./contents/{$id}.html")) {      //foo.html
	    include_once "./contents/{$id}.html";
    } elseif (file_exists("./contents/{$id}.txt")) {       //foo.txt
        echo "<pre>\n";
        readfile("./contents/{$id}.txt");
        echo "</pre>\n";
    } else {
        echo "\n".'<h2 class="cate-title">'.$lang['no_matches']."</h2>\n";
    }
} elseif (file_exists("./contents/default.inc.php")) { //default.inc.php
	include_once "./contents/default.inc.php";
} elseif (file_exists("./contents/default.php")) {     //default.php
	include_once "./contents/default.php";
} elseif (file_exists("./contents/default.inc")) {     //default.inc
	include_once "./contents/default.inc";
} elseif (file_exists("./contents/default.html")) {    //default.html
	include_once "./contents/default.html";
} elseif (file_exists("./contents/default.txt")) {     //default.txt
    echo "<pre>\n";
    readfile("./contents/default.txt");
    echo "</pre>\n";
} elseif ((!file_exists("./contents/default.inc.php")) && 
          (!file_exists("./contents/default.php")) && 
          (!file_exists("./contents/default.inc")) &&
          (!file_exists("./contents/default.html")) &&
          (!file_exists("./contents/default.txt"))) {
    echo '<h2>please set the default page.</h2>';
} else {
    echo '<h2>ERROR.</h2>';
}
footer();
?>